import CabinetManager from '@/domain/models/CabinetManager.js'
import {CABINET_COLLECTION, LOCATION_CABINET} from "../../../mock/deviceState/CabinetManagerMock"

describe('CabinetManager', () => {
  it('should findLocationCabinet', () => {
    let cabinetCollection = CABINET_COLLECTION
    let locationCabinet = LOCATION_CABINET

    let cabinetMgr = CabinetManager(cabinetCollection)
    let cabinetLocationList = cabinetMgr.findLocationCabinet("15465694305390000")

    expect(cabinetLocationList).to.eql(locationCabinet)
  })
})
